import { OnesTable } from '../../../../../@ones-table/common';
import { GC } from '../../../../../@ones-table/core';
import './range-select.scss';
export interface RangeSelectOptions {
    tooltipId: string;
    placeholder?: string;
}
export default class RangeSelect {
    private table;
    private parent;
    private options;
    formula: GC.Spread.Sheets.FormulaTextBox.FormulaTextBox;
    private root;
    private observer;
    constructor(table: OnesTable, parent: HTMLElement, options: RangeSelectOptions);
    destroy(): void;
    getAddress(): string;
    setAddress(address: string): void;
    getRanges(): import("@ones-table/common").SheetRanges[];
    setError(message: string): void;
    clearError(): void;
    private handleClick;
    private handleMutation;
    updateTooltip(): void;
    updatePlaceholder(): void;
}
